%%-------------------------------------------------------------------------
% Unit = {'force unit','displacement unit'};
%%-------------------------------------------------------------------------
% StrMode = {ndim, ndofpn};
%%-------------------------------------------------------------------------
% Iteration = { 'static', { {'Linear'};
%                           {'NewtonRaphson', number of iterations, tolerance, 'DisplNorm'};
%                           {'ModifiedNewtonRaphson', number of iterations, tolerance, 'EnrgyNorm'};
%                           {'InitialStiffness', number of iterations, tolerance, 'ForceNorm'};
%                         };
%               'transient', { {'Linear'};
%                              {'NewtonRaphson', number of iterations, tolerance 'DisplNorm'};
%                              {'ModifiedNewtonRaphson', number of iterations, tolerance, 'EnrgyNorm'};
%                              {'InitialStiffness', number of iterations, tolerance, 'ForceNorm'};
%                             };
%               'element', { {'Linear'};
%                            {'NewtonRaphson', number of iterations, tolerance, 'DispNorm'};
%                            {'ModifiedNewtonRaphson', number of iterations, tolerance, 'EnrgyNorm'};
%                            {'InitialStiffness', number of iterations, tolerance, 'ForceNorm'}
%                           }
%             };
%%-------------------------------------------------------------------------
% Integration = {'Newmark', alphaformoment, beta, gamma, am, bk};
% Integration = {'HHT', alphaformoment, alpha, beta, gamma, am, bk};
% Integration = {'Shing', alphaformoment, alpha, beta, gamma, am, bk, number of iteration}
% eigens  = {zeta_1, zeta_2}
% addMass = {nodtag1, m1, m2, m3, m4, m5, m6;
%            nodtag2, m1, m2, m3, m4, m5, m6};
%%-------------------------------------------------------------------------
% nodcoord = { nodtag1, x1, y1, z1}
% constraint = {nodtag1, id1, id2, id3}
%%-------------------------------------------------------------------------
% elements = {{eletag, 'Simple2DTruss', snode, enode, sectag};
%             {eletag, 'StiffnessBased2DBeamColumn', snode, enode, nIp, sectag};
%             {eletag, 'FlexibilityBased2DBeamColumn1', snode, enode, nIp, sectag};
%             {eletag, 'FlexibilityBased2DBeamColumn2', snode, enode, nIp, sectag};
%             {eletag, 'ZeroLength2D', snode, enode, localx_mattag, localy_mattag, localz_mattag, angel(radian) from local to global};
%             {eletag, 'ZeroLength2DSection', snode, enode, angel from local to global(radian), sectag}
%             {eletag, 'Hybrid2DBeamColumnNumerical', snode, enode, sectag for general section, 'IP address', port number for sending and receiving}};
%                  {3, 'Hybrid2DBeamColumnNumerical', 3, 4, 1, '128.138.228.71', 3000}};
%%-------------------------------------------------------------------------
% We need imaginary to make StiffnessBased2DBeamColumn with elastic material 
% for Hybrid2DBeamColumnNumerical
% ---------- MercuryMatlab hybrid program ----------
% {eletag, 'Hybrid2DBeamColumnPhysical', 'IP address', port number for sending and receiving}
%%-------------------------------------------------------------------------
% sections = {sectag, 'General', {mattag, A, Ix, Iy, Iz};
%             sectag, 'Layer', {mattag1, A1, y1;
%                               mattag2, A2, y2};
%             sectag, 'Fiber', {mattag1, A1, y1, z1;
%                               mattag2, A2, y2, z2}};
%%-------------------------------------------------------------------------
% materials = { {1, 'Elastic', E, G, density};
%               {2, 'Hardening', E, sy, Hiso, Hkin, density};
%               {3, 'Bilinear', E, sy, b, density, a1, a2, a3, a4};
%               {4, 'ModGMP', E, sy, b, R0, cR1, cR2, density, a1, a2, a3, a4};
%               {5, 'ModKP', sc, ec, scu, ecu, lambda, st, Ets, density};
%               {6, 'AnisotropicDamage1D', E, nu, kappa0, A, a, Dc, density};
%               {7, 'AnisotropicDamage', E, nu, kappa0, A, kh, kd, Kh, Kd, Dc, density};}
%%-------------------------------------------------------------------------
% forces = {forcetag, 'Static', {'NodalForces', {nodtag1, global axis1, magnitude1;
%                                                nodtag2, global axis2, magnitude2};
%                                'ElementDistributedForces', {eletag1, local axis1, magnitude1;
%                                                             eletag2, local axis2, magnitude2}};
%           forcetag, 'LoadCtrl', {nodtag1, global axis1, {m1, m2, m3};
%                                  nodtag2, global axis2, {m1, m2, m3}};
%           forcetag, 'DispCtrl', {nodtag1, global axis1, {m1, m2, m3}
%                                  nodtag2, global axis2, {m1, m2, m3}};
%           forcetag, 'Acceleration',{factor, {time1, m1 of globla x-axis, m1 of global y-axis;
%                                              time2, m2 of globla x-axis, m1 of global y-axis}}};
%%-------------------------------------------------------------------------
% outputdata = {'NodalDisplacement','ND.txt', {nodtat1, nodtag2, ...};
%               'NodalVelocity','NV.txt', {nodtat1, nodtag2, ...};
%               'NodalAcceleration','NA.txt', {nodtat1, nodtag2, ...};
%               'NodalForce','NF.txt', {nodtat1, nodtag2, ...};
%               'SectionAxialForce', 'SAF.txt', {secnum, eletag1;
%                                                secnum, eletag2; 
%                                                         ......;};
%               'SectionAxialDeformation', 'SAD.txt', {secnum, eletag1;
%                                                      secnum, eletag2; 
%                                                               ......;};
%               'SectionMoment', 'SM.txt', {secnum, eletag1;
%                                           secnum, eletag2; 
%                                                    ......;};
%               'SectionCurvature', 'SC.txt', {secnum, eletag1;
%                                              secnum, eletag2; 
%                                                       ......;};
%               'UniaxialStressStrain', 'USS.txt', {fibernum, secnum, eletag1;
%                                                  fibernum, secnum, eletag2;
%                                                                     ......;}};