%==========================================================================
% Mercury Matlab Version 1.0.1
% Written by Dae-Hung Kang, CU-NEES
% Copyright 2010, CU-NEES
% Written  : August 2010.
% File name: OutputNodalVelocity.m
%==========================================================================

function OutputNodalVelocity(str,icnt)
%--------------------------------------------------------------------------
ID     = str.ID;
ndofpn = str.ndofpn;
nfdofs = str.nfdofs;
nods   = str.outfile(icnt).nods;
ndsize = str.outfile(icnt).ndsize;

filename = str.outfile(icnt).filename;
fid = fopen(filename, 'a');
for indsize = 1:ndsize
    nodtag = nods(indsize);
    for idofpn = 1:ndofpn
        if (ID(nodtag,idofpn) <= nfdofs)
            fprintf(fid,'%f ', str.vt(ID(nodtag,idofpn)) );
        else
            fprintf(fid,'%f ', 0.0);
        end
    end
end
fprintf(fid,'\n');
fclose(fid);